---
name: Bug report
about: Create a report to help us improve
title: '[BUG] '
labels: bug
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Configure MCP server with '...'
2. Run command '....'
3. Use Claude to execute '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Actual behavior**
What actually happened, including error messages.

**Environment (please complete the following information):**
- OS: [e.g. macOS 14.0, Windows 11, Ubuntu 22.04]
- Python version: [e.g. 3.11.0]
- Package version: [e.g. 1.0.0]
- MCP client: [e.g. Claude Desktop 0.4.0]
- Installation method: [e.g. uv, pip, pipx]

**Todo.txt file details:**
- File size: [e.g. 1KB, 50KB]
- Number of todos: [e.g. 25 active, 100 completed]
- Special characters or formatting: [if relevant]

**Configuration:**
```json
// Your claude_desktop_config.json MCP server configuration
{
  "todo-txt": {
    // ... your config
  }
}
```

**Error logs**
If applicable, include relevant log output:
```
Paste error logs here
```

**Additional context**
Add any other context about the problem here, such as:
- Whether this worked before and stopped working
- If the issue is intermittent or consistent
- Any recent changes to your setup
- Screenshots (if helpful)

**Workaround**
If you found a temporary workaround, please describe it here. 